Bug 489363 - createPackageProfile API does not assign architecture to the packages in profile
createPackageProfile API does not assign architecture to the packages in profile
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-03-09 13:33 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-03-09 13:33:47 EDT
Description of problem:
If you create a profile using createPackageProfile API, it does not assign architecture to the packages in profile. Webui shows architecture "not specified ". 

Steps to Reproduce:
1. Register a system to satellite. 
2. Use api: system.createPackageProfile(key, system-id, 'profilename', 'profilename')
3. Check in webui or try using comparePackageProfile with the same system (It should return 0 packages). 
  
Actual results:
webui shows architecture "not specified " for every package in the profile.

Expected results:
It should assign correct architecture.
Comment 2 Brad Buckingham 2009-03-10 10:14:22 EDT
git commit: d242900a878a6027c06d6f9355297c51b479f00b

Updated the system.createPackageProfile API to use the same logic that is currently used by the UI for profile creation.
Comment 3 Brad Buckingham 2009-03-17 17:17:49 EDT
mass move to ON_QA
Comment 4 Sayli Karmarkar 2009-03-19 15:14:38 EDT
verified.
Comment 5 Brandon Perkins 2009-09-10 15:54:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.